Extensies Joomla 2.5 on JED end-of-life

Joomla 2.5 hit it's end-of-life (EOL) December 31, 2014. Starting in June the JED will begin phasing out 2.5 extensions. As planned back in April 2012, the JED will list Joomla versions for six months after the announced EOL of Long Term Support (LTS) versions.

The 2.5 Timeline

June 1, 2015: We will no longer accept Joomla 2.5 only extensions.
June 30, 2015: The 2.5 compatibility icon will be disabled and any 2.5 only listings will be removed.

What about Joomla 4?

We will continue to use the 3.x compatibility icon for all Joomla 3 versions. A Joomla 4.x compatibility icon will be added when the PLT releases a stable Joomla 4 version.

Original: http://extensions.joomla.org/blog/item/joomla-2-5-support-ending